org.apache.cassandra.db

## Interface RowPosition

- All Superinterfaces:
    java.lang.Comparable<RowPosition>, RingPosition<RowPosition>
  All Known Implementing Classes:
    BufferDecoratedKey, CachedHashDecoratedKey, DecoratedKey, NativeDecoratedKey, PreHashedDecoratedKey, Token.KeyBound

      public interface RowPosition
      extends RingPosition<RowPosition>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RowPosition.ForKey`
    `static class` | `RowPosition.Kind`
    `static class` | `RowPosition.RowPositionSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RowPosition.RowPositionSerializer` | `serializer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMinimum()`
    `RowPosition.Kind` | `kind()`

    - ### Methods inherited from interface org.apache.cassandra.dht.RingPosition

      `getPartitioner, getToken, minValue`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### serializer

          static final RowPosition.RowPositionSerializer serializer

  - ### Method Detail

    - #### kind

          RowPosition.Kind kind()

    - #### isMinimum

          boolean isMinimum()

      Specified by:
        `isMinimum` in interface `RingPosition<RowPosition>`

Copyright © 2018 The Apache Software Foundation